org.apache.commons.lang3.text.translate

## Class UnicodeEscaper

- java.lang.Object
- - org.apache.commons.lang3.text.translate.CharSequenceTranslator
  - - org.apache.commons.lang3.text.translate.CodePointTranslator
    - - org.apache.commons.lang3.text.translate.UnicodeEscaper

- Direct Known Subclasses:
    JavaUnicodeEscaper

  Deprecated.
  As of 3.6, use Apache Commons Text UnicodeEscaper instead

      @Deprecated
      public class UnicodeEscaper
      extends CodePointTranslator

  Translates code points to their Unicode escaped value.
  Since:
    3.0

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `UnicodeEscaper()` Deprecated. Constructs a `UnicodeEscaper` for all characters.
    `protected` | `UnicodeEscaper(int below, int above, boolean between)` Deprecated. Constructs a `UnicodeEscaper` for the specified range.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UnicodeEscaper` | `above(int codePoint)` Deprecated. Constructs a `UnicodeEscaper` above the specified value (exclusive).
    `static UnicodeEscaper` | `below(int codePoint)` Deprecated. Constructs a `UnicodeEscaper` below the specified value (exclusive).
    `static UnicodeEscaper` | `between(int codePointLow, int codePointHigh)` Deprecated. Constructs a `UnicodeEscaper` between the specified values (inclusive).
    `static UnicodeEscaper` | `outsideOf(int codePointLow, int codePointHigh)` Deprecated. Constructs a `UnicodeEscaper` outside of the specified values (exclusive).
    `protected String` | `toUtf16Escape(int codePoint)` Deprecated. Converts the given code point to a hex string of the form `"\\uXXXX"`
    `boolean` | `translate(int codePoint, Writer out)` Deprecated. Translate the specified code point into another.

    - ### Methods inherited from class org.apache.commons.lang3.text.translate.CodePointTranslator

      `translate`

    - ### Methods inherited from class org.apache.commons.lang3.text.translate.CharSequenceTranslator

      `hex, translate, translate, with`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnicodeEscaper

          public UnicodeEscaper()

      Deprecated.
      Constructs a `UnicodeEscaper` for all characters.

    - #### UnicodeEscaper

          protected UnicodeEscaper(int below,
                                   int above,
                                   boolean between)

      Deprecated.
      Constructs a `UnicodeEscaper` for the specified range. This is the underlying method for the other constructors/builders. The `below` and `above` boundaries are inclusive when `between` is `true` and exclusive when it is `false`.
      Parameters:
        `below` - int value representing the lowest code point boundary
        `above` - int value representing the highest code point boundary
        `between` - whether to escape between the boundaries or outside them

  - ### Method Detail

    - #### below

          public static UnicodeEscaper below(int codePoint)

      Deprecated.
      Constructs a `UnicodeEscaper` below the specified value (exclusive).
      Parameters:
        `codePoint` - below which to escape
      Returns:
        the newly created `UnicodeEscaper` instance

    - #### above

          public static UnicodeEscaper above(int codePoint)

      Deprecated.
      Constructs a `UnicodeEscaper` above the specified value (exclusive).
      Parameters:
        `codePoint` - above which to escape
      Returns:
        the newly created `UnicodeEscaper` instance

    - #### outsideOf

          public static UnicodeEscaper outsideOf(int codePointLow,
                                                 int codePointHigh)

      Deprecated.
      Constructs a `UnicodeEscaper` outside of the specified values (exclusive).
      Parameters:
        `codePointLow` - below which to escape
        `codePointHigh` - above which to escape
      Returns:
        the newly created `UnicodeEscaper` instance

    - #### between

          public static UnicodeEscaper between(int codePointLow,
                                               int codePointHigh)

      Deprecated.
      Constructs a `UnicodeEscaper` between the specified values (inclusive).
      Parameters:
        `codePointLow` - above which to escape
        `codePointHigh` - below which to escape
      Returns:
        the newly created `UnicodeEscaper` instance

    - #### translate

          public boolean translate(int codePoint,
                                   Writer out)
                            throws IOException

      Deprecated.
      Translate the specified code point into another.
      Specified by:
        `translate` in class `CodePointTranslator`
      Parameters:
        `codePoint` - int character input to translate
        `out` - Writer to optionally push the translated output to
      Returns:
        boolean as to whether translation occurred or not
      Throws:
        `IOException` - if and only if the Writer produces an IOException

    - #### toUtf16Escape

          protected String toUtf16Escape(int codePoint)

      Deprecated.
      Converts the given code point to a hex string of the form `"\\uXXXX"`
      Parameters:
        `codePoint` - a Unicode code point
      Returns:
        the hex string for the given code point
      Since:
        3.2

Copyright © 2001–2023 The Apache Software Foundation. All rights reserved.